using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 角色菜单表
    /// </summary>
    [SugarTable("YB_RoleMenu", TableDescription = "角色菜单表", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_RoleMenu
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 角色ID
        /// </summary>
        [SugarColumn(ColumnDescription = "角色ID")]
        public System.Int32 RoleId { get; set; }

        /// <summary>
        /// 菜单ID
        /// </summary>
        [SugarColumn(ColumnDescription = "编菜单ID码")]
        public System.Int32 MenuId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
    }
}